import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;

public class Applet3 extends Applet implements TextListener, ItemListener  {
	TextField inputField;
	String displayText = "Enter a string to display";
	int fontStyle = Font.PLAIN;

	public void init() {
		setBackground(Color.white);
				
		add(new Label("Text String:"));
		inputField = new TextField(25);
		inputField.addTextListener(this);
		
		Checkbox boldCheckbox=new Checkbox("Bold",null,false);
		boldCheckbox.addItemListener(this);
		
		Checkbox italicCheckbox=new Checkbox("Italic",null,false);
		italicCheckbox.addItemListener(this);
		
		add(inputField);
		add(new Label("        Font Style:"));
		add(boldCheckbox);
		add(italicCheckbox);
	}
	
	public void paint(Graphics g) {
		g.setFont(new Font("TimesRoman",fontStyle,24));
		g.drawString(displayText,200,60);
	} 
	
	public void textValueChanged(TextEvent e) {
		displayText = inputField.getText();
		repaint();
	}

	public void itemStateChanged(ItemEvent e) {
		Checkbox boxLabel = (Checkbox) e.getSource();
		
		if (boxLabel.getLabel() == "Bold") {
			if (boxLabel.getState()) {
				fontStyle += Font.BOLD;
			}
			else {
				fontStyle -= Font.BOLD;
			}
		}
			
		if (boxLabel.getLabel() == "Italic") {
			if (boxLabel.getState()) {
				fontStyle += Font.ITALIC;
			}
			else {
				fontStyle -= Font.ITALIC;
			}
		}
		repaint();
	}
}
