import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Applet5 extends JApplet implements ItemListener, ActionListener{
	JCheckBox boldButton, italicButton;
	JLabel textLabel;
	JRadioButton sanSerifButton, serifButton;
	JMenuBar menuBar;
	JMenu fileMenu;
	JMenuItem nativeLookItem, javaLookItem, newTextItem;

	public void init() {
		try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		}
		catch (Exception excep) { }
	
		textLabel = new JLabel("Enter your message here");
		textLabel.setToolTipText("It's what you chose to say");
	
		Font helloFont=new Font("Serif", 0, 32);
		textLabel.setFont(helloFont);
	
		boldButton = new JCheckBox("Bold");
		boldButton.setToolTipText("Makes text appear bold.");
		boldButton.setMnemonic('b');
		boldButton.setContentAreaFilled(false);
	
		italicButton = new JCheckBox("Italic");
		italicButton.setToolTipText("Makes text appear italic.");
		italicButton.setMnemonic('i');
		italicButton.setContentAreaFilled(false);
	
		sanSerifButton = new JRadioButton("Sans Serif");
		sanSerifButton.setToolTipText("Display text with Sans Serif typeface");
		sanSerifButton.setMnemonic('a');
		sanSerifButton.setContentAreaFilled(false);
	
		serifButton = new JRadioButton("Serif");
		serifButton.setToolTipText("Display text with Serif typeface");
		serifButton.setMnemonic('s');
		serifButton.setContentAreaFilled(false);
		serifButton.setSelected(true);
	
		ButtonGroup btnGroup = new ButtonGroup();
		btnGroup.add(sanSerifButton);
		btnGroup.add(serifButton);
	
		boldButton.addItemListener(this);
		italicButton.addItemListener(this);
		sanSerifButton.addItemListener(this);
		serifButton.addItemListener(this);
	
		Container contentPane=getContentPane();
		contentPane.setLayout(new BoxLayout(contentPane, BoxLayout.Y_AXIS));
		contentPane.setBackground(java.awt.Color.white);
		contentPane.add(textLabel);
		JPanel checkPanel=new JPanel();
		checkPanel.setBackground(java.awt.Color.white);
		checkPanel.add(italicButton);
		checkPanel.add(boldButton);
		JPanel radioPanel=new JPanel();
		radioPanel.setBackground(java.awt.Color.white);
		radioPanel.add(sanSerifButton);
		radioPanel.add(serifButton);
		contentPane.add(checkPanel);
		contentPane.add(radioPanel);
	
		menuBar = new JMenuBar();
		setJMenuBar(menuBar);
		fileMenu = new JMenu("File");
		fileMenu.setMnemonic('F');
		menuBar.add(fileMenu);
		nativeLookItem = new JRadioButtonMenuItem("Java Look");
		nativeLookItem.addActionListener(this);
		javaLookItem = new JRadioButtonMenuItem("Native Look", true);
		javaLookItem.addActionListener(this);
		newTextItem = new JMenuItem("New Text...");
		newTextItem.addActionListener(this);
	
		ButtonGroup lookGroup = new ButtonGroup();
		lookGroup.add(nativeLookItem);
		lookGroup.add(javaLookItem);
	
		fileMenu.add(nativeLookItem);
		fileMenu.add(javaLookItem);
		fileMenu.addSeparator();
		fileMenu.add(newTextItem);
	}

	public void itemStateChanged(ItemEvent e) {
		int style=0;
		String typeface="San-Serif";
		if (boldButton.isSelected()) style += Font.BOLD;
		if (italicButton.isSelected()) style += Font.ITALIC;
		if (serifButton.isSelected()) typeface="Serif";
		Font helloFont=new Font(typeface, style, 32);
		textLabel.setFont(helloFont);
	}

	public void actionPerformed (ActionEvent e) {
		if (e.getActionCommand()=="Native Look") {
			try {
				UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
			}
			catch (Exception excep) { }
			SwingUtilities.updateComponentTreeUI(getRootPane());
		}
		else if (e.getActionCommand()=="Java Look") {
			try {
				UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
			}
			catch (Exception excep) { }
			SwingUtilities.updateComponentTreeUI(getRootPane());
		}
		else if (e.getActionCommand()=="New Text...") {
			String inputValue = JOptionPane.showInputDialog("Please enter new text to display");
			if (inputValue.equals("")) inputValue="Hello World";
			textLabel.setText(inputValue);
		}
	}
}
